## Class TModule

Description

Implements interfaces:

- IModule

TModule class.

TModule implements the basic methods required by IModule and may be used as the basic class for application modules.

- abstract:
- since: 3.0
- version: $Id: TModule.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TModule.php (line 24)

    TComponent
       |
       --TApplicationComponent
          |
          --TModule

Direct descendents

Class | Description
--- | ---
TCache | TCache class
TDataSourceConfig | TDataSourceConfig module class provides <module> configuration for database connections.
TErrorHandler | TErrorHandler class
TGlobalization | TGlobalization contains settings for Culture, Charset and TranslationConfiguration.
TAuthManager | TAuthManager class
TDbUserManager | TDbUserManager class
TSecurityManager | TSecurityManager class
TUserManager | TUserManager class
TApplicationStatePersister | TApplicationStatePersister class.
TLogRouter | TLogRouter class.
TParameterModule | TParameterModule class
TAssetManager | TAssetManager class
THttpResponse | THttpResponse class
TUrlManager | TUrlManager class
TTemplateManager | TTemplateManager class
TThemeManager | TThemeManager class

Method Summary
string getID ()
void init (TXmlElement $config)
void setID (string $value)
Methods
getID (line 43)

- return: id of this module
- access: public

string getID ()
init (line 36)

Initializes the module.

This method is required by IModule and is invoked by application.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: module configuration

Redefined in descendants as:

- TCache::init() : Initializes the cache module.
- TAPCCache::init() : Initializes this module.
- TDbCache::init() : Initializes this module.
- TMemCache::init() : Initializes this module.
- TSqliteCache::init() : Initializes this module.
- TXCache::init() : Initializes this module.
- TDataSourceConfig::init() : Initalize the database connection properties from attributes in <database> tag.
- TActiveRecordConfig::init() : Initialize the active record manager.
- TErrorHandler::init() : Initializes the module.
- TGlobalization::init() : Initialize the Culture and Charset for this application.
- TGlobalizationAutoDetect::init()
- TAuthManager::init() : Initializes this module.
- TDbUserManager::init() : Initializes the module.
- TSecurityManager::init() : Initializes the module.
- TUserManager::init() : Initializes the module.
- TApplicationStatePersister::init() : Initializes module.
- TLogRouter::init() : Initializes this module.
- TParameterModule::init() : Initializes the module by loading parameters.
- TAssetManager::init() : Initializes the module.
- THttpResponse::init() : Initializes the module.
- TUrlMapping::init() : Initializes this module.
- TTemplateManager::init() : Initializes the module.
- TThemeManager::init() : Initializes the module.

setID (line 51)

- access: public

void setID (string $value)

- string $value: id of this module

#### Inherited Methods

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:37 -0400 by phpDocumentor 1.3.0RC4